Simulators

Simulate the fees and totals for a single payment method

GET
/v1/simulators/payment-methods

Authorization

selectkey<token>

API key para requisições autenticadas. Envie sua chave no cabeçalho selectkey (sandbox sk_test_…, produção sk_live_…).

In: header

Query Parameters

amount*integer
fee?number
installment?integer
method*string
brand?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/simulators/payment-methods?amount=500&method=nupay"
{
  "planId": "string",
  "resource": "nupay",
  "isCustom": true,
  "amount": {
    "cents": 5000,
    "decimal": 0
  },
  "original": {
    "cents": 5000,
    "decimal": 0
  },
  "totalFees": {
    "cents": 5000,
    "decimal": 0
  },
  "merchant": {
    "name": "Acme Ltda",
    "merchantId": "string",
    "isSubAccount": true
  },
  "_links": {
    "self": {
      "href": "string",
      "method": "string"
    },
    "installment": {
      "href": "string",
      "method": "string"
    },
    "installments": {
      "href": "string",
      "method": "string"
    }
  }
}
{
  "error": {
    "status": "Bad Request",
    "statusCode": 400,
    "category": "validation",
    "code": "invalidParameters",
    "message": "Validation errors occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Unauthorized",
    "statusCode": 401,
    "category": "authentication",
    "code": "unauthorized",
    "message": "Authentication is required to access this resource.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "notFound",
    "message": "An unexpected error occurred.",
    "resource": "server"
  }
}
{
  "error": {
    "status": "Internal Server Error",
    "statusCode": 500,
    "category": "server",
    "code": "serverError",
    "message": "An unexpected error occurred. Please try again later.",
    "resource": "server",
    "details": "If the problem persists, contact support with the correlationId from the response headers."
  }
}